$(document).ready(function(){
	const domain = document.getElementById("urlDomainDefault").getAttribute("content");


	//TKN
	var tkn = $.cookie('account_login');
	tkn = tkn.replace(/\"/g, "");

	//INFORMACION_PERSONAL
	var settings = {
		"url": "https://sami3-clients.winwinafi.com/myaccount/informacion_personal",
		"method": "GET",
		"timeout": 0,
		"headers": {
			"Authorization": "Bearer "+tkn
		}
	};

	//PEDIDOS
	var list_pedidos = {
		  "url": "https://sami3-orders.winwinafi.com/orders/"+domain+"?customerEmail=true",
		  "method": "GET",
		  "timeout": 0,
		   "headers": {"Authorization": "Bearer "+tkn } 
	};


	$(".list-group > a").each(function(){

		$(this).click(function(){
			$(".list-group > a").not(this).removeClass("active show");
		});

	});

	//VALIDAR CANT DE CARACTERES
	$("#inputTipoDoc").on("change",function(){

       var tipo_doc = $(this).val();
       $("#num_doc").val('');

       if(tipo_doc=="CE"){
          $("#numDoc").attr("maxlength", "9");
       } else {
          $("#numDoc").attr("maxlength", "8");
       }

	});

	//INGRESAR SOLO NÚMEROS EN CAMPO DNI Y CELULAR
	$("#numDoc, #numCel").on("keyup",function(e){

	  if (/\D/g.test(this.value))
	  {
	    // Filter non-digits from input value.
	    this.value = this.value.replace(/\D/g, '');
	  }

	});

	$.ajax(settings).done(function (response) {
		var obj = response["resultado"][0];

		      //COLOCAR INFO EN FORM DE PERFIL
				$("#inputTipoDoc").val( obj.tipo_documento );
				$("#inputGenero").val( obj.genero );
				$("#inputSeguro").val( obj.seguro );
				$("#nomUSR").val( obj.nombres );
				$("#apeUSR").val( obj.apellidos );
				$("#numDoc").val( obj.num_documento );
				$("#emailUSR").val( obj.correo_electronico );
				$("#numCel").val( obj.celular_contacto  );
	});

   //JSON CON LA INFO PERSONAL DEL FORM 
	$("#saveInfoUSR").on("click", function(){
		 let tokn = tkn;
	    var errors = 0;
	    var testEmail = /^[A-Z0-9._%+-]+@([A-Z0-9-]+\.)+[A-Z]{2,4}$/i;
	    var em = $("#emailUSR").val(); 

	    $("#info_pers input[type='text']:not(.nickname)").map(function(){
	                   if( !$(this).val() ) {
	                       $(this).addClass("dwem");
	                       errors++; 
	                   } else {
	                       $(this).removeClass("dwem");
	                   }
	 
	   });
	       
	   $("#info_pers select").map(function(){
	                   if( !$(this).val() ) {
	                       $(this).addClass("dwem");
	                       errors++; 
	                   } else {
	                       $(this).removeClass("dwem");
	                   }
	 
	    });

	   $("#info_pers #emailUSR").map(function(){
	                   if( !testEmail.test( $(this).val() ) ) {
	                       $(this).addClass("dwem");
	                       errors++; 
	                   } else {
	                       $(this).removeClass("dwem");
	                   }
	 
	   });


       if(errors > 0){
         alert("Campos vacíos o la información ingresada no es válida");
       } else if(errors == 0){

       		var settings = {
					"url": "https://sami3-clients.winwinafi.com/myaccount/informacionpersonal",
					"method": "PUT",
					"timeout": 0,
					"headers": {
					"Content-Type": "application/json",
					"Authorization": "Bearer "+tokn},
					"data": JSON.stringify({
							"formulario": "informacion_personal",
							"tipo_documento": $("#inputTipoDoc").val(),
							"num_documento": $("#numDoc").val(),
							//"seguro": $("#inputSeguro").val(),
							"nombres": $("#nomUSR").val(),
							"apellidos": $("#apeUSR").val(),
							"genero": $("#inputGenero").val(),
							"celular_contacto": $("#numCel").val(),
							"correo_electronico": $("#emailUSR").val()
				  })
			};

			$.ajax(settings).done(function (response) {
			  console.log(response);
			  location.reload();
			});

       }

	});

	//MIS PEDIDOS
	var pds = '';

	function infoPedidos(data){
		var pds = '';
		  for(var i=0; i<data.length; i++){
				var obj = data[i];
				var num_orden = obj["cabecera_pedido"][0]["numero_orden"]; //numero orden
				var email_orden = obj["cabecera_pedido"][0]["email_pedido"];
				var fech_ultm = obj["cabecera_pedido"][0]["fecha_pedido"];
				var formattedDate = new Date(fech_ultm);
				var ddd = formattedDate.getDate();
				var mmm =  formattedDate.getMonth();
				mmm += 1;  // JavaScript months are 0-11
				var yyy = formattedDate.getFullYear();

				var mes = "0"+mmm;
				mes = mes.slice(-2);

				var fch = ddd + "/" + mes + "/" + yyy;

				var sts = obj["cabecera_pedido"][0]["estado_pedido"];
				var scw = '';
				if(sts!="cancelado"){
					var sts = obj["situacion_pagos"][0]["estado_pago"];
				} else if(sts=="cancelado"){
					scw = 'scw';
				}

				pds+=`<div class="form-row item_p">
				<div class="col-md-6">Pedido: <b>`+obj["cabecera_pedido"][0]["numero_orden"]+`</b> <span class="status_pedido `+scw+`">`+sts+`</span></div> <div class="col-md-6 text-right">Monto: S/ <b>`+parseFloat(obj["resumen_pedido"][0]["gran_total"]).toFixed(2)+`</b></div>
				<div class="col-md-12 form-row set_pds">
				<div class="col-md-3 set_imgs set_prd_`+obj["cabecera_pedido"][0]["numero_orden"]+`"></div>
				<div class="col-md-4"><b>Fecha de pedido:</b><p>`+fch+`</p></div>`;

				// if(obj["situacion_pagos"][0]["estado_pago"]=="pendiente"){
				// 	pds+=`<div class="col-md-5"> <a class="pagar_pedido" data-email="`+email_orden+`" data-pedido="`+obj["cabecera_pedido"][0]["numero_orden"]+`">Pagar <i class="fas fa-angle-right"></i> </a> <a class="remove_order" data-value="`+obj["cabecera_pedido"][0]["numero_orden"]+`"><i class="fas fa-trash-alt"></i></a></div>`;
				// } else {
					pds+=`<div class="col-md-5"> <a class="ver_detalle" data-email="`+email_orden+`" data-pedido="`+obj["cabecera_pedido"][0]["numero_orden"]+`">Ver detalle <i class="fas fa-angle-right"></i> </a> </div>`;
				//}

				pds+=`</div>
				</div>`;

			}

			return pds;
	}


	function addQW(numord,mmail){
      var sets = {
			    "url": "https://sami3-orders.winwinafi.com/orders/"+domain+"/"+numord+"/"+mmail,
			    "method": "GET",
			    "timeout": 0,
		};

      $.ajax(sets).done(function (response) {
			    var detalle_pedido = response["obj"][0]["datos_pedido"]["datos_pedido"][0]["detalle_pedido"];
			    var imgs='';

			    for(var i=0; i<detalle_pedido.length;i++){
			    	var obj2 = detalle_pedido[i];
			    	imgs+='<img src="'+obj2["url_imagen_sku"]+'">';
			    }  $(".set_prd_"+numord).html(imgs);
		}); 

   }

	function imgPedidos(data){
		var pedidos = data;
		var mmail = $("#emailUSR").val();

			for(var m=0; m<pedidos.length; m++){
					var obj1 = pedidos[m];
					var num_orden = obj1["cabecera_pedido"][0]["numero_orden"]; //numero orden
					 addQW(num_orden,mmail);
			}

	}

	$.ajax(list_pedidos).done(function (response) {
		$('#list_pedidos').html('Cargando ...');
	   var pedidos = response["obj"][0]["datos_pedido"];

	   $('#pagpedidos').pagination({
		    dataSource: pedidos,
		    pageSize: 20,
		    prevText: '<i class="fas fa-chevron-left"></i>',
		    nextText: '<i class="fas fa-chevron-right"></i>',
		    ajax: {
		        beforeSend: function() {
		          $('#list_pedidos').html('Cargando ...');
		        }
		    },
		    callback: function(data, pagination) {
		        // template method of yourself
		        var html = infoPedidos(data);
		        //console.log(data);
		        $('#list_pedidos').html(html);
		        imgPedidos(data);
		    }
		});

	}).fail(function(response){
			$("#list_pedidos").html(`<div class="text-center"><h5>No hay pedidos por el momento</h5></div>`);
	});


	//DETALLE DE PEDIDO
	$(document).on("click",".ver_detalle",function(){

		var num_orden = $(this).attr("data-pedido");
		var customer_email =  $(this).attr("data-email");
		
		var sets = {
		    "url": "https://sami3-orders.winwinafi.com/orders/"+domain+"/"+num_orden+"/"+customer_email,
		    "method": "GET",
		    "timeout": 0,
		  };

		$.ajax(sets).done(function (response) {
			
			var nm='';
			var detalle_pedido = response["obj"][0]["datos_pedido"]["datos_pedido"][0]["detalle_pedido"]; //detalle_pedido
			var cabecera_pedido = response["obj"][0]["datos_pedido"]["datos_pedido"][0]["cabecera_pedido"][0]; //cabecera_pedido
			var resumen_pedido = response["obj"][0]["datos_pedido"]["datos_pedido"][0]["resumen_pedido"][0]; //resumen_pedido
			var datos_facturacion = response["obj"][0]["datos_pedido"]["datos_pedido"][0]["datos_facturacion"][0]; //datos_facturacion
			var datos_envio = response["obj"][0]["datos_pedido"]["datos_pedido"][0]["datos_envio"][0]; //datos_envio
			var situacion_pagos = response["obj"][0]["datos_pedido"]["datos_pedido"][0]["situacion_pagos"][0]; //situacion_pagos

			var obsv = response['obj'][0]['datos_pedido']['datos_pedido'][0]["observaciones"];

			var sts = cabecera_pedido["estado_pedido"];
			var scw = '';
			var btn_canc = '';
			if(sts!="cancelado"){
				var sts = situacion_pagos["estado_pago"];
				btn_canc = `<div class="text-center">
					<a class="btn btn_cancelpedido" data-order="`+cabecera_pedido["numero_orden"]+`" data-toggle="modal" data-target="#cancelPedido"><i class="fas fa-times"></i> Cancelar pedido</a>
				</div>`;
			} else if(sts=="cancelado"){
				scw = 'scw';
			}


			nm+=`
				<div class="form-row">
				<a class="p_regresar"><i class="fas fa-chevron-left"></i></a> <h4>Detalle de compra</h4>
				</div>
				<div class="form-row">
				<div class="col-md-9"><span>Pedido:</span> <p><b>`+cabecera_pedido["numero_orden"]+`</b> <span class="status_pedido `+scw+`">`+sts+`</span></p></div> 
				<div class="col-md-3 text-right"><span class="text-muted">Monto:</span> <p>S/ <b>`+parseFloat(resumen_pedido["gran_total"]).toFixed(2)+`</b></p></div>
				</div>

				<!-- <div class="">
				<p>Fecha:</p>
				<h4>`+cabecera_pedido["fecha"]+`</h4>
				</div> -->

				<div class="">
				<p>Resumen de compra:</p>
				<hr>
				<table class="table table-borderless table-shopping-cart tb_detalle">
				<tbody>`;

			for(var n=0; n<detalle_pedido.length; n++){
					var obj2 = detalle_pedido[n];

					nm+=`<tr>
					<td>`+obj2["quantity_sku"]+`</td><td><img src="`+obj2["url_imagen_sku"]+`"></td><td>
					<figcaption class="info">
						<a href="#" class="title text-dark">`+obj2["title"]+`</a>
						<!-- <p class="text-muted small"></p> -->
					</figcaption>
					</td>

					<td>
						<div class="price-wrap"> `;

							if(obj2["price"]!=obj2["sale_price"]){
								nm+=`<small class="text-muted p_sale">S/ `+parseFloat(obj2["price"]).toFixed(2)+` </small> <var class="price">S/ `+parseFloat(obj2["sale_price"]).toFixed(2)+`</var>`;
							} else if(obj2["price"]==obj2["sale_price"]){
								nm+= `<var class="price">S/ `+parseFloat(obj2["price"]).toFixed(2)+`</var>`;
							}

						nm+=`</div>
					</td>
					</tr>`;
			}

			nm+=`<tr class="section_wb">
				<td colspan="3">Subtotal</td>
				<td>S/ `+parseFloat(resumen_pedido["subtotal"]).toFixed(2)+`</td>
				</tr>`;


			if(resumen_pedido["disccount"] > 0){
				nm+=`<tr class="red">
				<td colspan="3">Estás ahorrando</td>
				<td>- S/ `+parseFloat(resumen_pedido["disccount"]).toFixed(2)+`</td>
				</tr>`;
			}

			nm+=`<tr>
			<td colspan="3">Envío</td>
			<td>S/ `+parseFloat(resumen_pedido["costo_envio"]).toFixed(2)+`</td>
			</tr>`;


			nm+=`<tr class="section_wb">
			<td colspan="3">PRECIO TOTAL:</td>
			<td><b>S/ `+parseFloat(resumen_pedido["gran_total"]).toFixed(2)+`</b></td>
			</tr>`;


			//
			nm+=`</tbody>
				</table>
				</div>

				<h6>Detalle del envío:</h6>
				<div class="form-row misc pedidopara">

				<figure class="itemside">
					<div class="aside">
						
					</div>
					<figcaption class="info">
						<h6>Pedido para:</h6>
					</figcaption>
					<figcaption class="info">
						<p>`+datos_facturacion["nombres_facturacion"]+`</p>
						<p>`+datos_facturacion["telefono_facturacion"]+`</p>
					</figcaption>
				</figure>

				</div>



				<div class="form-row misc infocorreo">

				<figure class="itemside">
					<div class="aside">
						
					</div>
					<figcaption class="info">
						<p>En este correo (`+datos_facturacion["email_facturacion"]+`) recibirás <b>los comprobantes de pago y detalles de tu compra.</b></p>
					</figcaption>
				</figure>

				</div>



				<div class="form-row misc direnv">

				<figure class="itemside">
					<div class="aside">
						
					</div>
					<figcaption class="info">
						<h6>Dirección de envío:</h6>
					</figcaption>
					<figcaption class="info">
						<p>`+datos_envio["nombres_envio"]+`</p>
						<p>`+datos_envio["distrito"]+`, `+datos_envio["provincia"]+`, `+datos_envio["departamento"]+`</p>
					</figcaption>
				</figure>

				</div>



				<div class="form-row misc metpay">

				<figure class="itemside">
					<div class="aside">
						
					</div>
					<figcaption class="info">
						<h6>Método de pago</h6>
					</figcaption>
					<figcaption class="info">
						<p class="tipo_mp">`+situacion_pagos["metodo_pago"]+`</p>
						<p class="num_card"></p>
					</figcaption>
				</figure>

				</div>`+btn_canc;

			$("#detalle_pedido").html(nm);
		});

		$("#list_pedidos, #pagpedidos").hide();
		$("#detalle_pedido").show();
	});


	//ELIMINAR PEDIDO
	$("#delPedido").click(function(){
		var ord = $(this).attr("data-idorder");

		var sets = {
		  "url": "https://sami3-orders.winwinafi.com/orders/"+domain+"/"+ord,
		  "method": "DELETE",
		  "timeout": 0,
		  "headers": {"Authorization": "Bearer "+tkn}
		};

		$.ajax(sets).done(function (response) {
			//console.log(response);
			$("#cancelPedido").modal("hide");
			location.reload();

		});

	});


	$(document).on("click",".p_regresar",function(){

		$("#list_pedidos").show();
		$("#detalle_pedido").hide();
		$("#detalle_pedido").html('');

	});


	//IMAGENES DE PRODUCTOS
	$("#v-mis_pedidos").click(function(){

		$.ajax(list_pedidos).done(function (response) {
			var pedidos = response["obj"][0]["datos_pedido"];
			var mmail = $("#emailUSR").val();

			function addQW(numord){
                  var sets = {
					    "url": "https://sami3-orders.winwinafi.com/orders/"+domain+"/"+numord+"/"+mmail,
					    "method": "GET",
					    "timeout": 0,
					  };

                  $.ajax(sets).done(function (response) {
					    var detalle_pedido = response["obj"][0]["datos_pedido"]["datos_pedido"][0]["detalle_pedido"];
					    var imgs='';

					    for(var i=0; i<detalle_pedido.length;i++){
					    	var obj2 = detalle_pedido[i];
					    	imgs+='<img src="'+obj2["url_imagen_sku"]+'">';
					    }  $(".set_prd_"+numord).html(imgs);
						}); 

         }


			for(var m=0; m<pedidos.length; m++){
					var obj1 = pedidos[m];
					var num_orden = obj1["cabecera_pedido"][0]["numero_orden"]; //numero orden
					 addQW(num_orden);
			}

		});

	});

	//ELIMINAR PEDIDO
	$(document).on("click",".btn_cancelpedido",function(){
		var ord = $(this).attr("data-order");
		var nom = $("#nomUSR").val();
		$("#cancelPedido .text_canc").html(`<p>`+nom+`, cancelar tu pedido no requiere ningún cobro adicional.</p>`);
		$("#cancelPedido #delPedido").attr("data-idorder",ord);
	});

	$("#delPedido").click(function(){
		var ord = $(this).attr("data-idorder");

		var sets = {
		  "url": "https://sami3-orders.winwinafi.com/orders/"+domain+"/"+ord,
		  "method": "DELETE",
		  "timeout": 0,
		  "headers": {"Authorization": "Bearer "+tkn}
		};

		$.ajax(sets).done(function (response) {
			//console.log(response);
			$("#cancelPedido").modal("hide");
			location.reload();

		});

	});
	

	////////---- FIN DE MIS PEDIDOS ---///////


	/////----MIS DIRECCIONES----////
	var setb = {
	  "url": "https://sami3-clients.winwinafi.com/myaccount/direcciones",
	  "method": "GET",
	  "timeout": 0,
      "headers": {
       "Authorization": "Bearer "+tkn
      }
	};

	$.ajax(setb).done(function (response) {
	  console.log(response);
	  var direcciones = response["resultado"]["direcciones"];
	  console.log(direcciones);

	   //AGREGAR DIRECCIONES
		var dirc = '<div class="row">';
		for(var d=0; d<direcciones.length; d++){
			var obj1 = direcciones[d][0];

			dirc+=`<div class="col-md-6">
			<article class="card card-body">
				<figure class="itemside">
					
					<figcaption class="info">
						<h5 class="title">`+obj1["nombre"]+`</h5>
						<p>`+obj1["direccion"]+`</p>
						<p>`+obj1["distrito"]+`</p>
					</figcaption>
					<div class="opt_item"><a class="edit_dirc" data-value="`+obj1["id"]+`"><i class="fas fa-pencil-alt"></i> Editar</a>
					<a class="remove_dirc" data-value="`+obj1["id"]+`"><i class="fas fa-trash-alt"></i> Eliminar</a>
					</div>
				</figure> <!-- iconbox // -->
			</article>
			</div>`;

		}

		dirc += '</div>';
		
		$("#list_direcciones #list_direcciones_contenido").html(dirc);

	}).fail(function(response){
		$("#list_direcciones #list_direcciones_contenido").html(`<div class="text-center"><h6>No se tienen direcciones registradas</h6></div>`);
	});


	$('#dept_usr').select2({width: '100%'});
   $('#prov_usr').select2({width: '100%'});
   $('#distr_usr').select2({width: '100%'});




   //Carga departamentos
	function GetDepartamentos(){
	    var domnio = window.location.hostname.replace("www.","");
	    $.ajax({
	      type: 'GET',
	      //url: _urlGeo,
	      url: "https://sami3-shipping.winwinafi.com/zonasenvio/"+domnio+"/",
	      dataType: 'json',
	      success: function (infoData) {
	        $('#dept_usr').append(`<option  value=""> Seleccionar departamento... </option>`);

	        var reslt = infoData.resultado[0]["departamentos"];
	        //var reslt = infoData.departamentos;
	        for(var i=0;i<reslt.length;i++){
	          var obj = reslt[i];
	          var dep = obj["departamento"];
	          var _htmlLI = `<option value="${dep}" >${dep}</option>`;
	          $('#dept_usr').append(_htmlLI);
	        }
	        
	      }
	    });
	}

	function provincias(idDepartamentos){
      var domnio = window.location.hostname.replace("www.","");
      $.ajax({
        type: 'GET',
        //url: _urlGeo,
        url: "https://sami3-shipping.winwinafi.com/zonasenvio/"+domnio+"/"+idDepartamentos,
        dataType: 'json',
        success: function (Data_provincias) {


            $('#prov_usr').append(`<option  value=""> Seleccionar provincia... </option>`);

            var result = Data_provincias.resultado[0].departamentos;
            //var result = Data_provincias.departamentos;
            for(var i=0;i<result.length;i++){
              var obj = result[i];
              var dep = obj["departamento"];

              if(dep==idDepartamentos){
                var _provinciasLista = obj["provincias"];
                for(var p=0; p < _provinciasLista.length; p++){
                    var obj2 = _provinciasLista[p];
                    var prov = obj2["provincia"];
                     _htmlLI = `<option value="${prov}" data-depa="${idDepartamentos}">${prov}</option>`;
                    $('#prov_usr').append(_htmlLI);
                }

              }
              
            }
        }


      });
	}


	function distritos(idProvincias,idDepa){
	  var domnio = window.location.hostname.replace("www.","");
	  $.ajax({
	    type: 'GET',
	    //url: _urlGeo,
	    url: "https://sami3-shipping.winwinafi.com/zonasenvio/"+domnio+"/"+idDepa,
	    dataType: 'json',
	    success: function (infoData) {

	        $('#distr_usr').append(`<option  value=""> Seleccionar distrito... </option>`);

	          var result = infoData.resultado[0].departamentos;
	          //var result = infoData.departamentos;
	          for(var i=0;i<result.length;i++){
	            var obj = result[i];
	            var dep = obj["departamento"];

	            if(dep==idDepa){
	              var _provinciasLista = obj["provincias"];
	              for(var p=0; p < _provinciasLista.length; p++){
	                  var obj2 = _provinciasLista[p];
	                  var prov = obj2["provincia"];

	                  if(prov==idProvincias){
	                    var distr = obj2["distritos"];
	                    for(var dt=0;dt < distr.length;dt++){
	                      var obj3 = distr[dt];
	                      var nombre_distrito = obj3["distrito"];
	                      var num_ubigeo = obj3["ubigeo"];

	                      _htmlLID = `<option value="${nombre_distrito}" data-depa="${idDepa}" data-prov="${idProvincias}" data-ubigeo="${num_ubigeo}">${nombre_distrito} </option>`;
	                      $('#distr_usr').append(_htmlLID);
	                    }
	                  }
	              }

	            }
	            
	          }

	    }
	  });

	}


	$(document).on('change','#dept_usr',function(){
	      $('#prov_usr').html('');
	      var idDepartamentos= $(this).val();
	      provincias(idDepartamentos)
	});


	$(document).on('change','#prov_usr',function(){
	     $('#distr_usr').html('');
	     var idProvincias= $(this).val();
	     var idDepa=$('#prov_usr option:selected').attr('data-depa');

	     distritos(idProvincias,idDepa);
	});


	$(document).on('change','#distr_usr',function(){
	   $('.zonasEnvio2').html('');
	   if (document.querySelector(".zonasEnvio")) {
	  
	   } else {
	      $('#distr_usr').parent().append(`<div class="zonasEnvio"> </div> <div class="mensajeZona"> </div> `);
	   }
	   // var idDepa=$('#distr_usr option:selected').attr('data-depa');
	   // var idProv=$('#distr_usr option:selected').attr('data-prov');
	   // var idZonas= $(this).val();
	   // zonasEvios(idZonas,idDepa,idProv);
	});


	//CARGA DEPARTAMENTOS
	GetDepartamentos();


	///////////////////////////////////////


	//MAPA GOOGLE

	var geocoder;
	var map;
	var marker;

	/*
	 * Google Map with marker
	 */
	function initialize(lat,lng) {
	    var initialLat = $('.search_latitude').val();
	    var initialLong = $('.search_longitude').val();
	    // initialLat = initialLat?initialLat:-12.092047831195297;
	    // initialLong = initialLong?initialLong:-77.00831332757068;
	    initialLat = initialLat?initialLat:lat;
	    initialLong = initialLong?initialLong:lng;

	    var latlng = new google.maps.LatLng(initialLat, initialLong);
	    var options = {
	        zoom: 16,
	        center: latlng,
	        mapTypeControl: false,
	        mapTypeId: google.maps.MapTypeId.ROADMAP
	    };

	    map = new google.maps.Map(document.getElementById("mapa_graph"), options);

	    geocoder = new google.maps.Geocoder();

	    marker = new google.maps.Marker({
	        map: map,
	        draggable: true,
	        position: latlng
	    });

	    google.maps.event.addListener(marker, "dragend", function () {
	        var point = marker.getPosition();
	        map.panTo(point);
	        geocoder.geocode({'latLng': marker.getPosition()}, function (results, status) {
	            if (status == google.maps.GeocoderStatus.OK) {
	                map.setCenter(results[0].geometry.location);
	                marker.setPosition(results[0].geometry.location);
	                $('#direccion_u').val(results[0].formatted_address);
	                //$('.search_addr, #search_location').val(results[0].formatted_address);
	                //$('.search_latitude').val(marker.getPosition().lat());
	                //$('.search_longitude').val(marker.getPosition().lng());
	                $("#lat_dir").val( marker.getPosition().lat() );
                    $("#lng_dir").val( marker.getPosition().lng() );
	            }
	        });
	    });

	}


	//EDITAR DIRECCIÓN
	$(document).on("click", ".edit_dirc",function(){

		// var id_dir = $(this).attr("data-value");

		// $("#list_direcciones").hide();
		// $("#detalle_direcciones").show();

		// $.ajax(setb).done(function (response) {

		//   var direcciones = response["resultado"]["direcciones"];

		//    //AGREGAR DIRECCIONES
		// 	var dirc = '<div class="row">';
		// 	for(var d=0; d<direcciones.length; d++){
		// 		var obj1 = direcciones[d][0];
		// 		var idm = obj1["id"];

		// 		if ( idm == id_dir ) {

		// 			  $("#cliOpcZipCode").val(obj1["distrito"]);
		// 	        $("#direccion_u").val(obj1["direccion"]);
		// 	        $("#referencia_u").val(obj1["referencia"]);
		// 	        $(".txt_nom_dir").html(obj1["nombre"]);
		// 	        $("#d1").val(obj1["nombre"]);
		// 	        $("#id_dir").val(obj1["id"]);
		// 	        $("#lat_dir").val(obj1["latitud"]);
		// 	        $("#lng_dir").val(obj1["longitud"]);
		// 	        var lat = obj1["latitud"];
		// 	        var lng = obj1["longitud"];
		// 	        initialize(lat,lng);

		// 		}
		// 	}
		// });

		var id_dir = $(this).attr("data-value");

		$("#list_direcciones").hide();
		$("#detalle_direcciones").show();

		$.ajax(setb).done(function (response) {

		  var direcciones = response["resultado"]["direcciones"];

		   //AGREGAR DIRECCIONES
			var dirc = '<div class="row">';
			for(var d=0; d<direcciones.length; d++){
				var obj1 = direcciones[d][0];
				var idm = obj1["id"];

				if ( idm == id_dir ) {

					  //$("#cliOpcZipCode").val(obj1["distrito"]);
					  $("#dept_usr").val(obj1["departamento"]).trigger('change');

					  setTimeout(function(){
					  	$("#prov_usr").val(obj1["provincia"]).trigger('change');
					  }, 1100);

					  setTimeout(function(){
					  	$("#distr_usr").val(obj1["distrito"]).trigger('change');
					  }, 3000);

					  // $("#prov_usr").val(obj1["provincia"]).trigger('change');
					  // $("#distr_usr").val(obj1["distrito"]).trigger('change');
					  
			        $("#direccion_u").val(obj1["direccion"]);
			        $("#referencia_u").val(obj1["referencia"]);
			        $(".txt_nom_dir").html(obj1["nombre"]);
			        $("#d1").val(obj1["nombre"]);
			        $("#id_dir").val(obj1["id"]);
			        $("#lat_dir").val(obj1["latitud"]);
			        $("#lng_dir").val(obj1["longitud"]);
			        var lat = obj1["latitud"];
			        var lng = obj1["longitud"];
			        initialize(lat,lng);

				}
			}
		});

	});


	//ELIMINAR DIRECCIÓN
	$(document).on("click", ".remove_dirc",function(){
		var id_dir = $(this).attr("data-value");
		var dir = {
			  "url": "https://sami3-clients.winwinafi.com/myaccount/direcciones",
			  "method": "DELETE",
			  "timeout": 0,
			  "headers": {
			    "Content-Type": "application/json", 
			    "Authorization": "Bearer "+tkn
			  },
			  "data": JSON.stringify({"correo_electronico":$("#emailUSR").val(),"id":id_dir,"dominio": domain})
		};

		$.ajax(dir).done(function (response) {
		    console.log(response);
		    location.reload();
		});

	});



	//BUSCAR DIRECCIÓN en google
	$("#direccion_u").keydown(function(event){
       if (event.which === 13) {
           var address = $(this).val();
           if(address!=''){
              geocoder.geocode({'address': address}, function (results, status) {
                 if (status == google.maps.GeocoderStatus.OK) {
                     map.setCenter(results[0].geometry.location);
                     marker.setPosition(results[0].geometry.location);
                     //$('.search_addr').val(results[0].formatted_address);
                     //$('.search_latitude').val(marker.getPosition().lat());
                     //$('.search_longitude').val(marker.getPosition().lng());
                     //console.log(marker.getPosition().lat());
                     //console.log(marker.getPosition().lng());
                     $("#lat_dir").val( marker.getPosition().lat() );
                     $("#lng_dir").val( marker.getPosition().lng() );
                 } else {
                    alert("Geocode was not successful for the following reason: " + status);
                 }
              });
              event.preventDefault();
     
           }
       }
   });

   $("#btn_srchd").click(function(e){
    	var address = $("#direccion_u").val();
        if(address!=''){
        geocoder.geocode({'address': address}, function (results, status) {
            if (status == google.maps.GeocoderStatus.OK) {
                map.setCenter(results[0].geometry.location);
                marker.setPosition(results[0].geometry.location);
                //$('.search_addr').val(results[0].formatted_address);
                //$('.search_latitude').val(marker.getPosition().lat());
                //$('.search_longitude').val(marker.getPosition().lng());
                $("#lat_dir").val( marker.getPosition().lat() );
                $("#lng_dir").val( marker.getPosition().lng() );
            } else {
                alert("Geocode was not successful for the following reason: " + status);
            }
        });
        e.preventDefault();
     
       }
   });


   //GUARDAR CAMBIOS DE DIRECCIÓN
   $("#save_edit").click(function(){
   		var errors = 0;
        //$("#detalle_direcciones input[type='text']").map(function(){
               // if( !$(this).val() ) {
               //     $(this).addClass("dwem");
               //     errors++;
               // } else {
               //     $(this).removeClass("dwem");
               // }
               if( !$("#direccion_u").val() ) {
                   $("#direccion_u").addClass("dwem");
                   errors++;
               } else {
                   $("#direccion_u").removeClass("dwem");
               }

               if( !$("#otro_nom_add").val() && $("#d2").is(":checked") ) {
                   $("#otro_nom_add").addClass("dwem");
                   errors++;
               } else if( !$("#otro_nom_add").val() && !$("#d2").is(":checked") ) {
                   $("#otro_nom_add").removeClass("dwem");
               }

        //});

        $("#detalle_direcciones select").map(function(){
               if( !$(this).val() ) {
                   $(this).addClass("dwem");
                   errors++;
               } else {
                   $(this).removeClass("dwem");
               }

        });

        if(errors > 0){
               alert("Campos vacíos o la información ingresada no es válida");
        } else if(errors == 0){
					//var bm = [];
					var objeto = {
						   //"idcliente": id_usuario,   
						   "correo_electronico":$("#emailUSR").val(),
							"formulario":"direcciones",
							"dominio": domain,
							"direcciones":[{
								"id": $("#id_dir").val(),
								"nombre": $("input[name='tipo_direccion']:checked").val(),
								"direccion": $("#direccion_u").val(),
								"distrito": $("#distr_usr").val(),
								"referencia": $("#referencia_u").val(),
								"latitud": $("#lat_dir").val(),
								"longitud": $("#lng_dir").val(),
								"departamento": $("#dept_usr").val(),
								"provincia": $("#prov_usr").val()
							}]
						};
					//bm.push(objeto);

					var json_d = JSON.stringify(objeto);
					//console.log(json_d);

					var settings = {
						  "url": "https://sami3-clients.winwinafi.com/myaccount/direcciones",
						  "method": "PUT",
						  "timeout": 0,
						  "headers": {
						    "Content-Type": "application/json",
						    "Authorization": "Bearer "+tkn
						  },
						  "data": json_d
					};

					$.ajax(settings).done(function (response) {
						//console.log(response);
						location.reload();
					});
					
        }

   });

   //NUEVO NOMBRE DE DIRECCION
   $("#otro_nom_add").keyup(function(){

   	var valr = $(this).val();
   	//console.log(valr);
   	$("#d2").val(valr);

   });

   $("#otro_nom_add").click(function(){
   	$("#d2").prop("checked", true);
   });


   //AGREGAR DIRECCIÓN
   $(document).on("click","#agregar_direccion",function(){

   		$("#list_direcciones").hide();
   		$("#detalle_direcciones").show();
   		$('#cliOpcZipCode').prop('selectedIndex',0);
   		$("#direccion_u, #referencia_u").val("");
   		initialize(-12.048764416234611, -77.0427200066233);
   		$(".items_grd").hide();
   		$(".buttons_action").hide();
   		$(".buttons_action2").show();
   		$("#mis_direcciones h4.card-title").hide();
   		$("#mis_direcciones .title_direccion").html("Nueva Dirección");

   		$("#detalle_direcciones > h2.title_direccion").after(`
   			<div class="form-group col-md-12 section_dir">
   				<label>Nombre</label>
   				<input type="text" class="form-control"  id="nom_direccion">
   			</div>`);
   });

   //CANCELAR AGREGAR DIRECCIÓN
   $("#cancel_edit2").click(function(){
   		$("#list_direcciones").show();
   		$("#detalle_direcciones").hide();
   		$(".section_dir").remove();
   		$(".buttons_action").show();
   		$(".buttons_action2").hide();
   		$(".items_grd").show();
   		$("#mis_direcciones h4.card-title").show();
   		$("#mis_direcciones .title_direccion").html("");
   });

   function stringGen(len) {
		var text = "";
		var charset = "abcdefghijklmnopqrstuvwxyz0123456789";
		  
		for (var i = 0; i < len; i++)
		    text += charset.charAt(Math.floor(Math.random() * charset.length));
		  
		return text;
	}


   //GUARDAR DIRECCIÓN NUEVA
   $("#save_edit2").click(function(){

			var errors = 0;
			// $("#detalle_direcciones input[type='text']").map(function(){
			//       if( !$(this).val() ) {
			//           $(this).addClass("dwem");
			//           errors++;
			//       } else {
			//           $(this).removeClass("dwem");
			//       }

			// });
			if( !$("#nom_direccion").val() ) {
	          $("#nom_direccion").addClass("dwem");
	          errors++;console.log("texto");
	      } else {
	          $("#nom_direccion").removeClass("dwem");
	      }

			// $("#detalle_direcciones select").map(function(){
			//       if( !$(this).val() ) {
			//           $(this).addClass("dwem");
			//           errors++;
			//       } else {
			//           $(this).removeClass("dwem");
			//       }

			// });

			if( !$("#detalle_direcciones select#dept_usr").val() ) {
				  $("span[aria-labelledby='select2-dept_usr-container']").addClass("warning");
				  errors++;console.log("dep");
			} else {
				  $("span[aria-labelledby='select2-dept_usr-container']").removeClass("warning");
			}

			if( !$("#detalle_direcciones select#prov_usr").val() ) {
				  $("span[aria-labelledby='select2-prov_usr-container']").addClass("warning");
				  errors++;console.log("prov");
			} else {
				  $("span[aria-labelledby='select2-prov_usr-container']").removeClass("warning");
			}

			if( !$("#detalle_direcciones select#distr_usr").val() ) {
				  $("span[aria-labelledby='select2-distr_usr-container']").addClass("warning");
				  errors++;console.log("distr");
			} else {
				  $("span[aria-labelledby='select2-distr_usr-container']").removeClass("warning");
			}


			if(errors > 0){
			      alert("Campos vacíos o la información ingresada no es válida");
			} else if(errors == 0){

				$.ajax(setb).done(function (response) {

					  //var direcciones = response["resultado"]["direcciones"];
					  var ms = stringGen(5);
					  var objeto = {
							//"idcliente": id_usuario,
							"correo_electronico":$("#emailUSR").val(),
							"formulario":"direcciones",
							"dominio":domain,
							"direcciones":[{
								"id": ms,
								"nombre": $("#nom_direccion").val(),
								"direccion": $("#direccion_u").val(),
								"distrito": $("#distr_usr").val(),
								"referencia": $("#referencia_u").val(),
								"latitud": $("#lat_dir").val(),
								"longitud": $("#lng_dir").val(),
								"departamento": $("#dept_usr").val(),
								"provincia": $("#prov_usr").val()
							}]
						};

						var json_d = JSON.stringify(objeto);
						console.log(json_d);

						var settings = {
							  "url": "https://sami3-clients.winwinafi.com/myaccount/direcciones",
							  "method": "POST",
							  "timeout": 0,
							  "headers": {
							    "Content-Type": "application/json",
							    "Authorization": "Bearer "+tkn
							  },
							  "data": json_d
						};

						$.ajax(settings).done(function (response) {
							//console.log(response);
							location.reload();
						});

				}).fail(function (response) {

					console.log(response);
					var ms = stringGen(5);

					var objeto = {
						//"idcliente": id_usuario,
						"correo_electronico":$("#emailUSR").val(),
						"formulario":"direcciones",
						"dominio":domain,
						"direcciones":[{
							"id": ms,
							"nombre": $("#nom_direccion").val(),
							"direccion": $("#direccion_u").val(),
							"distrito": $("#distr_usr").val(),
							"referencia": $("#referencia_u").val(),
							"latitud": $("#lat_dir").val(),
							"longitud": $("#lng_dir").val(),
							"departamento": $("#dept_usr").val(),
							"provincia": $("#prov_usr").val()
						}]
					};

					var json_d = JSON.stringify(objeto);
					console.log(json_d);

					var settings = {
						  "url": "https://sami3-clients.winwinafi.com/myaccount/direcciones",
						  "method": "POST",
						  "timeout": 0,
						  "headers": {
						    "Content-Type": "application/json",
						    "Authorization": "Bearer "+tkn
						  },
						  "data": json_d
					};

					$.ajax(settings).done(function (response) {
						location.reload();
					});

				});


			}
   });

   //CANCELAR EDITAR DIRECCIÓN
	$("#cancel_edit").click(function(){
		$("#detalle_direcciones").hide();
		$("#list_direcciones").show();
	});

	////////---- FIN DE MIS DIRECCIONES ---///////


	$(document).on("click",".btn_cerrarsesion",function(){
		alert("asdasd")
		$.removeCookie('account_login', { path: '/' });
		$.removeCookie('account_login_domain_default', { path: '/' });
		var settings1 = {
			  "url": "https://sami3-auth.winwinafi.com/users/sesion/close",
			  "method": "POST",
			  "timeout": 0,
			   "headers": {"Authorization": "Bearer "+tkn } 
		};

		$.ajax(settings1).done(function (response) {
		   console.log(response);
		   window.location.replace("/process/login");
		});
		
	});

	/* $(document).on("click",".btn_cerrarsesion",function(){
		localStorage.removeItem("data-perfil")
		  $.removeCookie('account_login', { path: '/' });
		  $.removeCookie('account_login_domain_default', { path: '/' });
		  var settings1 = {
			  "url": "https://sami3-auth.winwinafi.com/users/sesion/close",
			  "method": "POST",
			  "timeout": 0,
			   "headers": {"Authorization": "Bearer "+tkn } 
		  };
	
		  $.ajax(settings1).done(function (response) {
			 console.log(response);
			 window.location.replace("/process/login");
		  });
	}) */


	$(".btn_opciones").click(function(){
		$(".sidebar_opciones").addClass("bring_back");
	});

	$(".cerrar_filtros").click(function(){
		$(".sidebar_opciones").removeClass("bring_back");
	});

	$(".sidebar_opciones .nav-link").click(function(){
		$(".sidebar_opciones").removeClass("bring_back");
	});


});


